### Method

# Phosh Head find_mode_by_name

#### Declaration [src]

    PhoshHeadMode*
    phosh_head_find_mode_by_name (
      PhoshHead* self,
      const char* name
    )

#### Description

No description available.

This method is not directly available to language bindings.

#### Parameters

`name`

  Type: `const char*`

  The name of a mode.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `PhoshHeadMode`

The `PhoshHeadMode` if found, otherwise `NULL`.

The data is owned by the instance.